summaryrefslogtreecommitdiff
path: root/recipes/images/files/library/imx6/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/images/files/library/imx6/update.sh')
-rwxr-xr-xrecipes/images/files/library/imx6/update.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/recipes/images/files/library/imx6/update.sh b/recipes/images/files/library/imx6/update.sh
index e5735f9..c3f3903 100755
--- a/recipes/images/files/library/imx6/update.sh
+++ b/recipes/images/files/library/imx6/update.sh
@@ -81,10 +81,6 @@ while getopts "cdfho:" Option ; do
exit 0
;;
h) Usage
- # Exit if only usage (-h) was specified.
- if [ "$#" -eq 1 ] ; then
- exit 10
- fi
exit 0
;;
o) OUT_DIR=$OPTARG
@@ -94,7 +90,7 @@ done
if [ "$OUT_DIR" = "" ] && [ "$UBOOT_RECOVERY" = "0" ] ; then
Usage
- exit 0
+ exit 1
fi
# is OUT_DIR an existing directory?